import React from 'react';
import ReactDOM from 'react-dom';
import { Manifest } from 'web-foundation';

const manifestItems = [
    {
        description: 'milk steak',
        qty: 2,
        price: 10
    },
    {
        description: 'jelly beans',
        qty: 13,
        price: 125
    },
    {
        description: 'guac',
        qty: 2,
        price: 10
    }
];

const manifest = new Manifest.Model({
    id: '1056829',
    items: manifestItems
});

export default function() {
    ReactDOM.render(
        <Manifest.View
            model={ manifest } />,
        document.getElementById('manifest')
    );
}
